Bug 853189 - setgid programs should have full RELRO
Summary: setgid programs should have full RELRO
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mlocate
Version: 18
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 853068
TreeView+ depends on / blocked
 
Reported: 2012-08-30 16:55 UTC by Steve Grubb
Modified: 2012-09-25 16:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-25 16:35:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Steve Grubb 2012-08-30 16:55:17 UTC
Description of problem:
Setgid programs should have full RELRO support enabled for extra protection. It should also have gcc's PIE flag enabled, too.

FILE                                                TYPE        RELRO    PIE 
/usr/bin/locate                                     setgid      partial  no  

You can use this test program for testing:
http://people.redhat.com/sgrubb/files/rpm-chksec

Comment 1 Miloslav Trmač 2012-09-22 03:15:06 UTC
Fixed in mlocate-0.26-1.  Thanks for your report.

Comment 2 Fedora Update System 2012-09-22 03:16:28 UTC
mlocate-0.26-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mlocate-0.26-1.fc18

Comment 3 Fedora Update System 2012-09-22 06:38:32 UTC
Package mlocate-0.26-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mlocate-0.26-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14583/mlocate-0.26-1.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-09-25 16:35:08 UTC
mlocate-0.26-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.